VERSION 5.00
Begin VB.Form frmMain 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Calendar"
   ClientHeight    =   3615
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   4680
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3615
   ScaleWidth      =   4680
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton btnMake 
      Caption         =   "Make Calendar"
      Height          =   375
      Left            =   2760
      TabIndex        =   2
      Top             =   600
      Width           =   1815
   End
   Begin VB.ListBox listYear 
      Height          =   2595
      Left            =   0
      TabIndex        =   0
      Top             =   600
      Width           =   975
   End
   Begin VB.ListBox listMonth 
      Height          =   2595
      Left            =   1080
      MultiSelect     =   2  'Extended
      TabIndex        =   1
      Top             =   600
      Width           =   1575
   End
   Begin VB.CommandButton btnQuit 
      Caption         =   "Quit"
      Height          =   375
      Left            =   2760
      TabIndex        =   3
      Top             =   1080
      Width           =   1815
   End
   Begin VB.Label Label3 
      Caption         =   "This software is freely distributed under the General Public License.  See license.txt or www.opensource.org"
      Height          =   1095
      Left            =   2760
      TabIndex        =   6
      Top             =   2520
      Width           =   1935
   End
   Begin VB.Label Label2 
      Caption         =   "written by Alan Macek <amacek@hotmail.com> comments or suggestions are appreciated."
      Height          =   855
      Left            =   2760
      TabIndex        =   5
      Top             =   1560
      Width           =   1815
   End
   Begin VB.Label Label1 
      Caption         =   "Select a year and a range of months"
      Height          =   255
      Left            =   120
      TabIndex        =   4
      Top             =   120
      Width           =   2895
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'Written by Alan Macek <calendarmaker@alanmacek.com> - August 2000

'This program is release under the 'General Public License'
'See the text of the license in the License.txt file or at www.opensource.org

Option Explicit
'Reference to the excel parts
Dim theExcel As Excel.Application
Dim theWorkBk As Excel.Workbook
Dim workSht As Excel.Worksheet

'The quit button
Private Sub btnQuit_Click()
    'On Error Resume Next
    End
End Sub

'Make the calendar
Private Sub btnMake_Click()
    Reset
    On Error GoTo excelError
    Set theExcel = Excel.Application
    On Error GoTo otherError
    theExcel.SheetsInNewWorkbook = listMonth.SelCount
    Set theWorkBk = theExcel.Workbooks.Add
    Dim calDate As Date
    Dim sheetCounter As Integer
    sheetCounter = 1
    Dim j As Integer
    progress.Show
    progress.Label1.Caption = "Making Calender..."
    theExcel.Visible = True
    'Loop through all the available months
    For j = 0 To 11
        If listMonth.Selected(j) Then
            calDate = "1-" & listMonth.List(j) & "-" & listYear.List(listYear.ListIndex)
            theWorkBk.Sheets(sheetCounter).Select
            progress.Label2.Caption = Format(calDate, "mmmm yyyy")
            'Call the helper function to make the calendar month
            makeSingle theWorkBk.Sheets(sheetCounter), calDate
            sheetCounter = sheetCounter + 1
        End If
    Next j
    progress.Hide
    Exit Sub
excelError:
    'Opening the excel application failed
    MsgBox "This program requires Excel version 5.0 or later.", vbCritical
    Exit Sub
otherError:
    'Some other error occurred
    MsgBox "An error occurred.  Sorry. :-("
End Sub

Private Sub Form_Load()
    Dim j As Integer
    'initialize listMonth
    listMonth.AddItem "January"
    listMonth.AddItem "February"
    listMonth.AddItem "March"
    listMonth.AddItem "April"
    listMonth.AddItem "May"
    listMonth.AddItem "June"
    listMonth.AddItem "July"
    listMonth.AddItem "August"
    listMonth.AddItem "September"
    listMonth.AddItem "October"
    listMonth.AddItem "November"
    listMonth.AddItem "December"
    
    'initialize listYear
    For j = 1900 To 2100
        listYear.AddItem j
    Next j
    If (Month(Now) = 12) Then
        listYear.Selected(Year(Now) - 1899) = True
        listMonth.Selected(0) = True
    Else
        listYear.Selected(Year(Now) - 1900) = True
        listMonth.Selected(Month(Now)) = True
    End If
End Sub
